Get async job details for a job id
curl --request GET \
--url https://api.example.com/v3/jobs/{job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v3/jobs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v3/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"name": "Ingestion dataset Upload",
"info": {
"resource_type": "DATASET",
"resource_name": "bank_churn",
"project_name": "bank_churn",
"resource": {
"id": "c97cd455-1e64-4e79-bd86-7bd399505678",
"name": "bank_churn"
},
"model": {
"id": "c97cd455-1e64-4e79-bd86-7bd399505678",
"name": "bank_churn",
"version": "v1"
},
"project": {
"id": "e3a4d78e-f294-4d5c-b28a-129164588a32",
"name": "bank_churn"
}
},
"id": "e9a2a782-1db4-4bb8-8db0-3fa5a278c068",
"status": "SUCCESS",
"progress": 100,
"error_message": null,
"error_reason": null,
"extras": {
"3f5025e5-1d2f-4b0f-a955-b8cd4e43d2e8": {
"status": "SUCCESS",
"result": {
"result": {
"__org": "s3bucket",
"s3_key": "s3bucket//s3bucket/first_project/bank_churn/small_dataset.csv",
"__dataset": "bank_churn",
"__project": "first_project",
"file_type": ".csv",
"s3_bucket": "fiddler-bucket-staging",
"cleaned_s3_key": "s3bucket//s3bucket/first_project/bank_churn/cleaned/small_dataset.csv",
"cleaned_ch_table": "s3bucket_first_project__dataset__bank_churn",
"violations_s3_key": "s3bucket//s3bucket/first_project/bank_churn/violations/small_dataset.csv",
"violations_ch_table": null
}
},
"error_message": null
},
"e36d1cf2-766f-4705-8269-b6f93bf1ca14": {
"status": "SUCCESS",
"result": {
"result": "Success"
},
"error_message": null
}
}
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Jobs
Get async job details for a job id
Get async job details for a job id
GET
/
v3
/
jobs
/
{job_id}
Get async job details for a job id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
job id path parameter
Query Parameters
flag for extras in response
⌘I